Bug 604397 - libvtemm-docs depends on gtk-doc unnecessarily
libvtemm-docs depends on gtk-doc unnecessarily
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvtemm (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Krzesimir Nowak
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: 604169
  Show dependency treegraph
 
Reported: 2010-06-15 16:56 EDT by Felipe Contreras
Modified: 2011-06-02 17:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 17:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2010-06-15 16:56:49 EDT
There's no need to depend on gtk-doc to install .html files. See the tracking bug for details.
Comment 1 Krzesimir Nowak 2010-06-16 02:42:41 EDT
I'll wait when the situation is clarified. Cause of depending on gtk-doc is written in spec file:
# .devhelp2 file is put into ${_datadir}/gtk-doc directory which is owned by
# gtk-doc.

And this is libvtemm-docs, not devel - changing subject.
Comment 2 Felipe Contreras 2011-05-25 08:16:17 EDT
Still present on F15.

See the revised guidelines which mention specifically gtk-doc:
http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership
Comment 3 Krzesimir Nowak 2011-05-25 09:12:52 EDT
I'll try fixing it in coming days.
Comment 4 Krzesimir Nowak 2011-06-02 17:48:52 EDT
Fixed in rawhide - for now I am not issuing a build.

Note You need to log in before you can comment on or make changes to this bug.